Bug 989498 - vzfs missing in hrStorage in an Virtuozzo Container
Summary: vzfs missing in hrStorage in an Virtuozzo Container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.4
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 11:42 UTC by Andreas Schnederle-Wagner
Modified: 2013-11-21 22:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the previous net-snmp updates, the implementation of “HOST-RESOURCES-MIB::hrStorageTable” was rewritten and devices with Virtuozzo File System (VZFS) and BTRFS were not reported. In this update, snmpd properly recognizes VZFS and BTRFS devices and reports them in “HOST-RESOURCES-MIB::hrStorageTable”.
Clone Of:
: 1036055 (view as bug list)
Environment:
Last Closed: 2013-11-21 22:50:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1693 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2013-11-20 21:52:17 UTC
Red Hat Bugzilla 861152 None None None Never

Description Andreas Schnederle-Wagner 2013-07-29 11:42:55 UTC
Description of problem:
   On RHEL 6.x with default net-snmp package I can't get hrStorage Data with SNMP. So no monitoring of diskspace with nagios/icinga/... is possible.
   It worked on older RHEL 4.x/5.x Version - but also not on the few latest Versions.
   I guess this Bug is related to: https://bugzilla.redhat.com/show_bug.cgi?id=861152

Version-Release number of selected component (if applicable):
   net-snmp-5.5-44.el6_4.2.x86_64

How reproducible:
Query on not working 6.4 Host:
   snmpwalk -v 2c -c public HOST hrStorage
Answer:
   HOST-RESOURCES-MIB::hrStorageType.1 = OID: HOST-RESOURCES-TYPES::hrStorageRam
   HOST-RESOURCES-MIB::hrStorageType.3 = OID: HOST-RESOURCES-TYPES::hrStorageVirtualMemory
   HOST-RESOURCES-MIB::hrStorageType.6 = OID: HOST-RESOURCES-TYPES::hrStorageOther
   HOST-RESOURCES-MIB::hrStorageType.7 = OID: HOST-RESOURCES-TYPES::hrStorageOther
   HOST-RESOURCES-MIB::hrStorageType.10 = OID: HOST-RESOURCES-TYPES::hrStorageVirtualMemory

Query on working 4.9 Host: 
   snmpwalk -v 2c -c public HOST hrStorage
Answer:
   HOST-RESOURCES-MIB::hrStorageType.1 = OID: HOST-RESOURCES-TYPES::hrStorageOther
   HOST-RESOURCES-MIB::hrStorageType.2 = OID: HOST-RESOURCES-TYPES::hrStorageRam
   HOST-RESOURCES-MIB::hrStorageType.3 = OID: HOST-RESOURCES-TYPES::hrStorageVirtualMemory
   HOST-RESOURCES-MIB::hrStorageType.4 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
   HOST-RESOURCES-MIB::hrStorageType.5 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
   HOST-RESOURCES-MIB::hrStorageType.6 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk

Additional info:
   hrStorageFixedDisk is missing on current RHEL Versions

   Bug was introduced in RHEL 5.7

   [root@rialtools ~]# df -h
   Filesystem            Size  Used Avail Use% Mounted on
   /dev/vzfs              50G   15G   36G  30% /
   none                  1.0G  4.0K  1.0G   1% /dev

Comment 6 errata-xmlrpc 2013-11-21 22:50:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1693.html


Note You need to log in before you can comment on or make changes to this bug.